<?php
namespace Elementor;

class search2 extends Widget_Base {
	
	public function get_name() {
		return 'search2';
	}
	
	public function get_title() {
		return 'جستجو 2';
	}
	
	    public function get_icon() {
		return 'eicon eicon-search';
    }
    
    public function get_categories() {
        return [ 'farnam' ];
    }
	
	protected function register_controls() {


		$this->start_controls_section(
			'section_title',
			[
				'label' => __( 'Content', 'elementor' ),
			]
		);
		
		$this->add_control(
			'title',
			[
				'label' => __( 'عنوان', 'elementor' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
				'placeholder' => __( 'عنوان خود را وارد کنید', 'elementor' ),
			]
		);

		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
		


		?>
      <div class="search-new-style-1400"><?php echo do_shortcode('[wcas-search-form]'); ?>

</div>
		<?php


	}


	
	protected function _content_template() {

    }
	
	
}